Subject: Re: sys_cacheflush...

From: Philip Blundell <[email-masked]>
Date: Fri, 10 Dec 1999 14:31:40 +0000

Scott Bambrough wrote:

> I'm having trouble calling sys_cacheflush from user mode.  Can someone
> document the parameters for me.  I thought they were:

> r0      starting VM address r1      length r2      boolean (1 if
> Icache flush desired).

I think R1 is the end address, not the length.  

The meaning for R2 has never been documented; GCC passes zero in that 
register and expects the Icache to be flushed.  At the moment the kernel 
always flushes both caches and ignores R2 altogether.

p.

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]